# Interface UseDataSourceSettings<Source, Target>

interface UseDataSourceSettings<Source, Target> {
transformer?: ((source) => Target);
}

#### Type Parameters

- Source = any
- Target = Source

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:6

#####
Index

### Properties

transformer?

## Properties

### `Optional` transformer

transformer?: ((source) => Target)

#### Type declaration

- - (source): Target

  - #### Parameters

    - source: Source

    #### Returns Target

- Defined in packages/angular/form-system/src/lib/decorators/use-data-source.ts:7